using Siger.Middlelayer.Utility.ExcelImport;
using System;
using System.Collections.Generic;
using System.Text;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class ImportReportTotal : ImportBase
    {
        [ExcelColumn("序号")]
        [DonnetValidate]
        [DonnetCreate]
        public int No { get; set; }
        [ExcelColumn("产品编号")]
        public string ProductId { get; set; }

        [ExcelColumn("产品名称")]
        public string ProductName { get; set; }

        [ExcelColumn("产品型号")]
        public string ProductType { get; set; }

        [ExcelColumn("订单号")]
        public string OrderNo { get; set; }

        [ExcelColumn("订单数量")]
        public string OrderQty { get; set; }

        [ExcelColumn("工单号")]
        public string Wo { get; set; }

        [ExcelColumn("车间")]
        public string Station { get; set; }

        [ExcelColumn("工位")]
        public string Position { get; set; }

        [ExcelColumn("合格数量")]
        public int OkCount { get; set; }

        [ExcelColumn("工废数量")]
        public int NgCount { get; set; }

        [ExcelColumn("料废数量")]
        public int NgCount2 { get; set; }

        [ExcelColumn("不良率 %")]
        public double NgRate { get; set; }
    }
}
